[PATCH] perf-test: add ruby test

Subject: [PATCH] perf-test: add ruby test

Date: Sat, 26 Jun 2021 15:07:14 -0500

To: notmuch@notmuchmail.org

Cc: David Bremner, Felipe Contreras

From: Felipe Contreras


Simply list the message-id of all the messages in a loop 100 times.

Suggested-by: David Bremner <david@tethera.net>
Signed-off-by: Felipe Contreras <felipe.contreras@gmail.com>
---
 performance-test/T05-ruby.sh | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)
 create mode 100755 performance-test/T05-ruby.sh

diff --git a/performance-test/T05-ruby.sh b/performance-test/T05-ruby.sh
new file mode 100755
index 00000000..527ab28b
--- /dev/null
+++ b/performance-test/T05-ruby.sh
@@ -0,0 +1,24 @@
+#!/usr/bin/env bash
+
+test_description='ruby bindings'
+
+. $(dirname "$0")/perf-test-lib.sh || exit 1
+
+if [ "${NOTMUCH_HAVE_RUBY_DEV}" = "0" ]; then
+    echo "missing prerequisites: ruby development files"
+    exit 0
+fi
+
+time_start
+
+time_run 'print all messages' "$NOTMUCH_RUBY -I '$NOTMUCH_BUILDDIR/bindings/ruby' <<'EOF'
+require 'notmuch'
+db = Notmuch::Database.new('$MAIL_DIR')
+100.times.each do
+    db.query('').search_messages.each do |msg|
+	puts msg.message_id
+    end
+end
+EOF"
+
+time_done
-- 
2.32.0
_______________________________________________
notmuch mailing list -- notmuch@notmuchmail.org
To unsubscribe send an email to notmuch-leave@notmuchmail.org

Thread: